Bidding Strategy
Overview
The next key part of a Campaign is its Bidding Strategy. A Campaign's Bidding Strategy determines how it will bid within Talroo's competitive marketplace. Talroo's marketplace is made up of many sources of traffic that include job boards, niche industry job sites, blogs, and various subscriber lists, all in addition to Talroo's owned and operated Jobs2Careers.com job board.
It is imperative to utilize an appropriate Bidding Strategy so you can be most efficient with your budget. Please consult your Talroo POC when deciding which Bidding Strategy to use.
For all bidding strategies: If your campaign is a Talroo Pro campaign, you must use jobCampaign.talrooProCpc when setting campaign-level CPCs. If your campaign is NOT a Talroo Pro campaign, you must use jobCampaign.talrooBasicCpc when setting campaign-level CPCs.
Fixed CPC
The most straightforward bidding option is the Fixed CPC (cost per click) Bidding Strategy. This strategy will charge a set price for every billable click a Campaign accrues. The CPC can be set at the campaign level, segment level (see Segments), or job level.
This Bidding Strategy is best for Campaigns whose jobs do not have CPA goals, and are monitored by external systems to make sure they are hitting spending and performance targets.
While external bidding systems can be effective, if your jobs have CPA targets we highly suggest utilizing one of the Target CPA bidding strategies. These bidding strategies have insight into the different sources of traffic that make up the Talroo marketplace and, unlike external bidding systems, can automatically adjust bids based on performance
The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (Id:12345) with field values that match the Fixed CPC Bidding Strategy, and a CPC of 75 cents:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"autopilot": false
"targetCpaType": "NONE"
"basicCpc": 75
}'
Autopilot
The Autopilot Bidding Strategy will automatically attempt to pace your Campaigns budget out to the end of the month (or your set pacing date if utilizing budget pacing, See Campaign Funding) by automatically adjusting your Campaign's CPC on a daily basis to generate more or less exposure, and thus traffic, within Talroo's Marketplace.
The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (Id:12345) with field values that match the Autopilot Bidding Strategy, and a starting CPC of 65 cents:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"autopilot": true
"targetCpaType": "NONE",
"basicCpc": 65
}'
Target CPA
If you have set performance goals for your jobs and you can communicate conversion events back to Talroo (see Conversion Tracking) then it is highly suggested that you utilize the Target CPA Bidding Strategy. The Target CPA Bidding Strategy will automatically make performance-based bid adjustments for the various sources of traffic within the Talroo Marketplace so that the campaign is optimized towards a provided Target CPA (Cost Per Application).
Target CPA can be set at the campaign level and will optimize all jobs within that campaign towards a set Target CPA, or it can be set at the job level and will optimize towards Target CPAs for each individual job that has a Target CPA goal set within the job feed.
Campaign Level
The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (Id:12345) with field values that match the Campaign Level Target CPA Bidding Strategy:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"autopilot": false
"targetCpaType": "CAMPAIGN",
"fullTargetCpa": true
}'
Job Level
To utilize the Job Level Target CPA Bidding Strategy, you must include Target CPAs at the job level within a <target_cpa> node in your job feed.
If a job does not have a <target_cpa> value provided in the job feed, then it will default to using the jobCampaign.targetCpa value set for the Campaign.
It is recommended you provide a <target_cpa> value for all jobs in your feed if you intend to utilize Job Level Target CPA.
You must work with your Talroo POC to ensure that your Job Source is set up to read target CPAs from your feed.
The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (Id:12345) with field values that match the Job Level Target CPA Bidding Strategy:
curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"autopilot": false,
"targetCpaType": "JOB",
"fullTargetCpa": true
}'